Skip to main content
Resource Center/Network Resource/Route Resource Operations
PUTRoute Resource OperationsSince 0.6SynchronousAuth Required

UpdateVirtualRouterOffering

UpdateVirtualRouterOffering

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatevirtualrouterofferingObjectRequired

    updatevirtualrouteroffering request body object.

    • isDefaultBoolean

      Optional. Whether the vRouter offering is the default offering.

    • imageUuidString

      Optional. The image UUID.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • allocatorStrategyString

      Optional. The allocator strategy.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryInstanceOfferingInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • cpuNumIntegerRequired

      The CPU count.

    • cpuSpeedIntegerRequired

      The CPU speed.

    • memorySizeLongRequired

      The memory size.

    • typeStringRequired

      The type.

    • allocatorStrategyStringRequired

      The allocator strategy.

    • sortKeyIntegerRequired

      排序键。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateStringRequired

      The state, including Enabled and Disabled.

Endpoint

PUT/zstack/v1/instance-offerings/virtual-routers/{uuid}/actions

/zstack/v1/instance-offerings/virtual-routers/{uuid}/actions

Operation ID

UpdateVirtualRouterOffering

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/instance-offerings/virtual-routers/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatevirtualrouteroffering":{"isDefault":true,"imageUuid":"<imageUuid>","name":"<name>","description":"<description>","allocatorStrategy":"<allocatorStrategy>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "99395ef3a9083f7ba2d64201d6afc6b0", "name": "instanceOffering1", "cpuNum": 2.0, "cpuSpeed": 1.0, "type": "UserVm", "allocatorStrategy": "Mevoco", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Enabled" } }

Change History

This API has no change history records yet.

View all change history